HDU 2061

Treasure the new start, freshmen!

Time Limit: 1000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others)

Total Submission(s): 11218    Accepted Submission(s): 3495

Problem Description

background:

A new semester comes , and the HDU also meets its 50th birthday. No matter what‘s your major, the only thing I want to tell you is:"Treasure the college life and seize the time." Most people thought that the college life should be colorful, less presure.But
in actual, the college life is also busy and rough. If you want to master the knowledge learned from the book, a great deal of leisure time should be spend on individual study and practise, especially on the latter one. I think the every one of you should
take the learning attitude just as you have in senior school.

"No pain, No Gain", HDU also has scholarship, who can win it? That‘s mainly rely on the GPA(grade-point average) of the student had got. Now, I gonna tell you the rule, and your task is to program to caculate the GPA.

If there are K(K > 0) courses, the i-th course has the credit Ci, your score Si, then the result GPA is

GPA = (C1 * S1 + C2 * S2 +……+Ci * Si……) / (C1 + C2 + ……+ Ci……) (1 <= i <= K, Ci != 0)

If there is a 0 <= Si < 60, The GPA is always not existed.

Input

The first number N indicate that there are N test cases(N <= 50). In each case, there is a number K (the total courses number), then K lines followed, each line would obey the format: Course-Name (Length <= 30) , Credits(<= 10), Score(<=
100).

Notice: There is no blank in the Course Name. All the Inputs are legal

Output

Output the GPA of each case as discribed above, if the GPA is not existed, ouput:"Sorry!", else just output the GPA value which is rounded to the 2 digits after the decimal point. There is a blank line between two test cases.

Sample Input

2
3
Algorithm 3 97
DataStruct 3 90
softwareProject 4 85
2
Database 4 59
English 4 81

Sample Output

90.10

Sorry!

Author

zl

Source

校庆杯Warm Up

题意,分别相乘求平均值,有小于六十的直接输出Sorry。

略水,因为数组开小了,RE了一次。

上代码。

#include <stdio.h>
struct node
{
	double n,score;
	char name[5555];
}
;
node f[5555];
int main()
{
    int t,i,j;
	scanf("%d",&t);
	while(t--)
	{
		int flag=0;
		int m;
		double sum=0,sum1=0;
		scanf("%d",&m);
		for(i=1;i<=m;i++)
			scanf("%s%lf%lf",f[i].name,&f[i].n,&f[i].score);
		for(i=1;i<=m;i++)
		{
			if(f[i].score<60)
				flag=1;  //令为一。
			sum+=f[i].n*f[i].score;     //按题目的公式
			sum1+=f[i].n;
		}
		if(flag)
			printf("Sorry!\n");  //如果真直接sorry
		else
			printf("%.2lf\n",sum*1.0/sum1); // 反之求平均值。
		if(t)
			printf("\n");
	}
	return 0;
}  
时间: 2024-08-07 16:50:31

HDU 2061的相关文章

hdu2060-2062

hdu 2060 斯诺克,读懂题意直接模拟 1 #include<stdio.h> 2 3 int main(){ 4 int N; 5 int i,a[21]; 6 a[0]=0; 7 for(i=1;i<=6;i++){ 8 a[i]=(15-i)*i/2; 9 } 10 for(i=7;i<=21;i++){ 11 a[i]=a[i-1]+8; 12 } 13 while(scanf("%d",&N)!=EOF){ 14 for(i=1;i<

HDU分类

模拟题, 枚举 1002 1004 1013 1015 1017 1020 1022 1029 1031 1033 1034 1035 1036 1037 1039 1042 1047 1048 1049 1050 1057 1062 1063 1064 1070 1073 1075 1082 1083 1084 1088 1106 1107 1113 1117 1119 1128 1129 1144 1148 1157 1161 1170 1172 1177 1197 1200 1201 12

转载:hdu 题目分类 (侵删)

转载:from http://blog.csdn.net/qq_28236309/article/details/47818349 基础题:1000.1001.1004.1005.1008.1012.1013.1014.1017.1019.1021.1028.1029. 1032.1037.1040.1048.1056.1058.1061.1070.1076.1089.1090.1091.1092.1093. 1094.1095.1096.1097.1098.1106.1108.1157.116

(并查集)Travel -- hdu -- 5441(2015 ACM/ICPC Asia Regional Changchun Online )

http://acm.hdu.edu.cn/showproblem.php?pid=5441 Travel Time Limit: 1500/1000 MS (Java/Others)    Memory Limit: 131072/131072 K (Java/Others)Total Submission(s): 2061    Accepted Submission(s): 711 Problem Description Jack likes to travel around the wo

HDU——PKU题目分类

HDU 模拟题, 枚举1002 1004 1013 1015 1017 1020 1022 1029 1031 1033 1034 1035 1036 1037 1039 1042 1047 1048 1049 1050 1057 1062 1063 1064 1070 1073 1075 1082 1083 1084 1088 1106 1107 1113 1117 1119 1128 1129 1144 1148 1157 1161 1170 1172 1177 1197 1200 1201

HDU 6203 ping ping ping [LCA,贪心,DFS序,BIT(树状数组)]

题目链接:[http://acm.hdu.edu.cn/showproblem.php?pid=6203] 题意 :给出一棵树,如果(a,b)路径上有坏点,那么(a,b)之间不联通,给出一些不联通的点对,然后判断最少有多少个坏点. 题解 :求每个点对的LCA,然后根据LCA的深度排序.从LCA最深的点对开始,如果a或者b点已经有点被标记了,那么continue,否者标记(a,b)LCA的子树每个顶点加1. #include<Bits/stdc++.h> using namespace std;

HDU 5542 The Battle of Chibi dp+树状数组

题目:http://acm.hdu.edu.cn/showproblem.php?pid=5542 题意:给你n个数,求其中上升子序列长度为m的个数 可以考虑用dp[i][j]表示以a[i]结尾的长度为j的上升子序列有多少 裸的dp是o(n2m) 所以需要优化 我们可以发现dp的第3维是找比它小的数,那么就可以用树状数组来找 这样就可以降低复杂度 #include<iostream> #include<cstdio> #include<cstring> #include

hdu 1207 汉诺塔II (DP+递推)

汉诺塔II Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 4529    Accepted Submission(s): 2231 Problem Description 经典的汉诺塔问题经常作为一个递归的经典例题存在.可能有人并不知道汉诺塔问题的典故.汉诺塔来源于印度传说的一个故事,上帝创造世界时作了三根金刚石柱子,在一根柱子上从下往

[hdu 2102]bfs+注意INF

题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2102 感觉这个题非常水,结果一直WA,最后发现居然是0x3f3f3f3f不够大导致的--把INF改成INF+INF就过了. #include<bits/stdc++.h> using namespace std; bool vis[2][15][15]; char s[2][15][15]; const int INF=0x3f3f3f3f; const int fx[]={0,0,1,-1};